<template>
  <div class="container">
    <div class="w-100">
      <b-button @click="onClick" variant="success" class="large-btn ">
        {{ `click ${x}` }}
      </b-button>
      <hr>
    </div>
  </div>
</template>

<script>
export default {
  data () {
    return {
      x: 0,
      y: 1
    }
  },
  mounted () {
    console.log('hello mounted')
  },
  methods: {
    onClick () {
      console.log('clicked')
      this.x += 1
    }
  }
}
</script>

<style lang="scss">
.container {
  margin: 0 auto;
  min-height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
}

</style>
